net.corda.core.utilities

## Class NonEmptySet.Iterator<T>

- net.corda.core.utilities.NonEmptySet.Iterator<T>

- Enclosing class:
    NonEmptySet<T>

      public class NonEmptySet.Iterator<T>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Iterator(java.util.Iterator<? extends T> $outer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator<T>` | `getIterator()`
    `boolean` | `hasNext()`
    `T` | `next()`
    `void` | `remove()`

- - ### Constructor Detail

    - #### Iterator

          public Iterator(java.util.Iterator<? extends T> $outer)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

    - #### next

          public T next()

    - #### remove

          public void remove()

    - #### getIterator

          public java.util.Iterator<T> getIterator()